﻿using System.Reflection;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 색상 휠 박스
    /// </summary>
    public class ColorWheelBox : ListBox
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - ColorWheelBox()

        /// <summary>
        /// 생성자
        /// </summary>
        public ColorWheelBox()
        {
            FrameworkElementFactory radialPanelFrameworkElementFactory = new FrameworkElementFactory(typeof(RadialPanel));

            ItemsPanel = new ItemsPanelTemplate(radialPanelFrameworkElementFactory);


            DataTemplate dataTemplate = new DataTemplate(typeof(Brush));

            ItemTemplate = dataTemplate;


            FrameworkElementFactory rectangleFrameworkElementFactory = new FrameworkElementFactory(typeof(Rectangle));

            rectangleFrameworkElementFactory.SetValue(Rectangle.WidthProperty , 4d                           );
            rectangleFrameworkElementFactory.SetValue(Rectangle.HeightProperty, 12d                          );
            rectangleFrameworkElementFactory.SetValue(Rectangle.MarginProperty, new Thickness(1d, 8d, 1d, 8d));

            rectangleFrameworkElementFactory.SetBinding(Rectangle.FillProperty, new Binding(""));

            dataTemplate.VisualTree = rectangleFrameworkElementFactory;


            PropertyInfo[] propertyInfoArray = typeof(Brushes).GetProperties();

            foreach(PropertyInfo pPropertyInfo in propertyInfoArray)
            {
                Items.Add((Brush)pPropertyInfo.GetValue(null, null));
            }
        }

        #endregion
    }
}