﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            Title         = "ListBox 클래스 : ItemsPanel 속성을 사용해 색상 휠 박스 만들기";
            SizeToContent = SizeToContent.WidthAndHeight;
            FontFamily    = new FontFamily("나눔고딕코딩");
            FontSize      = 16;


            ColorWheelBox colorWheelBox = new ColorWheelBox();

            colorWheelBox.Margin              = new Thickness(5);
            colorWheelBox.HorizontalAlignment = HorizontalAlignment.Center;
            colorWheelBox.VerticalAlignment   = VerticalAlignment.Center;

            Content = colorWheelBox;

            colorWheelBox.SetBinding(ColorWheelBox.SelectedValueProperty, "Background");

            colorWheelBox.DataContext = this;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        [STAThread]
        public static void Main()
        {
            Application application = new Application();

            application.Run(new MainWindow());
        }

        #endregion
    }
}